com.holonplatform.core.query

## Interface StringFunction.Upper

- All Superinterfaces:
    ConverterExpression<String>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Property<String>, QueryExpression<String>, QueryFunction<String,String>, QueryFunction.PropertyQueryFunction<String,String>, QueryProjection<String>, Serializable, StringFunction, StringQueryExpression, TypedExpression<String>, Validator.Validatable<String>
  Enclosing interface:
    StringFunction

      public static interface StringFunction.Upper
      extends StringFunction

  Function to convert a string to uppercase.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.StringFunction

      `StringFunction.Lower, StringFunction.Upper`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,P extends Property<T>,B extends Property.Builder<T,P,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringFunction.Upper` | `create(TypedExpression<String> argument)` Create a new `StringFunction.Lower` function instance.

    - ### Methods inherited from interface com.holonplatform.core.query.StringFunction

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.StringQueryExpression

      `contains, contains, containsIgnoreCase, endsWith, endsWith, endsWithIgnoreCase, lower, startsWith, startsWith, startsWithIgnoreCase, upper`

- - ### Method Detail

    - #### create

          static StringFunction.Upper create(TypedExpression<String> argument)

      Create a new `StringFunction.Lower` function instance.
      Parameters:
        `argument` - Function argument (not null)
      Returns:
        New `StringFunction.Lower` function instance

Copyright © 2019 The Holon Platform. All rights reserved.